Skip to content

Add Members

POST
/ai_labs/organization/{Organization_Id}/members/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/members/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"member_emails": [
"test.singh1@gmail.com"
],
"role": "AI_Labs_Student",
"groups": [
57
]
}'

Note: AI Labs is currently available only in the Delhi region.

Organization_Id
required
integer

Organization ID

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
member_emails
required

List of member email addresses to be added

Array<string>
role
required

Role assigned to the members

string

Example

AI_Labs_Student
groups

List of group IDs to which the members should be added

Array<integer>

Successfully sent member invite

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 201,
"data": "Member Invite Sent.",
"errors": {},
"message": "Created Successfully"
}